Page MenuHomePhabricator

Creation of campaigns on Safari
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:
Create of campaign page using Safari (latest version)

Actual Results:
At creation, get a message of rejection of creation
The calendar or the suggestion message for beginning and end date do not appear in Safari case


The cause of this issue has now been identified. Safari is the only major browser that does not have a built in 'date picker'.

The solution is to either just use manual yyyy-mm-dd text entry on Safari, or load JQuery UI with date picker on Safari only.

Expected Results:
Creation of campaign should be possible ?

Event Timeline

Anthere created this task.May 21 2019, 1:44 PM
Eugene233 moved this task from Backlog to Incoming Bugs on the ISA board.May 21 2019, 8:26 PM
NavinoEvans moved this task from Incoming Bugs to Pending on the ISA board.Jun 14 2019, 11:47 AM
NavinoEvans triaged this task as High priority.Jun 22 2019, 11:57 AM
NavinoEvans moved this task from Pending to Backlog on the ISA board.
NavinoEvans updated the task description. (Show Details)
Galobtter moved this task from Backlog to Incoming Bugs on the ISA board.Jul 2 2019, 3:35 PM
Galobtter moved this task from Incoming Bugs to Backlog on the ISA board.Jul 5 2019, 3:05 AM
NavinoEvans updated the task description. (Show Details)Jul 15 2019, 8:05 PM
NavinoEvans moved this task from Backlog to Pending on the ISA board.Jul 15 2019, 8:08 PM

Change 523910 had a related patch set uploaded (by Eugene233; owner: Eugene233):
[labs/tools/Isa@master] Creation of campaigns on Safari

https://gerrit.wikimedia.org/r/523910

NavinoEvans moved this task from Pending to Review on the ISA board.Jul 18 2019, 8:37 PM

Change 523910 merged by jenkins-bot:
[labs/tools/Isa@master] Creation of campaigns on Safari

https://gerrit.wikimedia.org/r/523910

NavinoEvans closed this task as Resolved.Jul 20 2019, 4:09 PM
NavinoEvans reopened this task as Open.Jul 31 2019, 2:02 PM
NavinoEvans closed this task as Resolved.Mon, Sep 9, 12:28 PM